フォローする

Autodesk Licensing Hotfix – POODLE SSL v3 vulnerability (CVE-2014-3566)

■ POODLEとは…

SSLv3.0の脆弱性”POODLE”は、共通脆弱性識別子CVEにおいて、”CVE-2014-366″として登録されています。詳細な情報に関しましては、CVE dictionary を参照下さい。

■ 改善計画

Autodeskでは、SSLv3.0の脆弱性”POODLE”を確認し、これらの問題の影響を軽減するためサーバに対し緊急メンテナンスを行う予定です。そのため、サーバの更新を行っている間、修正プログラムを正しく設定しているLinuxやMacユーザーへのサービスが中断されてしまうかもしれません。

■ ユーザーへの影響

“POODLE”の脆弱性に対処するべく、SSLv3.0を無効化にするとき、ライセンス修正プログラムを適用していないユーザーには、以下のような影響があります。

■ SSLv3.0の無効化による影響

Linux環境の製品は、ライセンス転送、またはオンラインアクティベーションは機能しません。

  • エラー時の挙動:ライセンス転送及びオンラインアクティベーションが動作しません
  • エラー対象:Linux環境の製品の全てのバージョン

デスクトップサブスクリプションの場合は、初回ログイン時に失敗します

  • エラー時の挙動:初回時のサーバへのログインをした際にエラーメッセージが表示されます
  • エラー対象:初回時のサーバへのログインを行っていない、すべてのデスクトップサブスクリプションユーザー

上述の問題は、”POODLE”のSSLv3.0の脆弱性(CVE-2014-3566)に対処するためにサーバ側の構成を変更したために発生しています。Autodeskのライセンスシステムは、SSLv3.0を使用していため、これを無効化することにより通信が出来なくなります。パッチプログラムをインストールすることにより、ユーザーはより安全なプロトコルを使用して通信を行うことが可能になります。

 

■ 解決方法

以下より、適切なパッチをインストールすることで、上述の問題を解決することが可能です。

 

Affected ProductsDownload
All FY14 products (except Smoke 2014) Linux
Mac
Windows x64
Windows x32
Smoke 2014 (Mac OS only) Mac
All FY15 products Linux
Mac
Windows x64
Windows x32

 

■ インストール手順

 

  1. すべてのAutodesk製品が終了していることをご確認下さい。
  2. 適切な修正プログラムをダウンロードします。
  3. 修正プログラムのインストールをします。
    • Windows: パッチプログラムをダブルクリックして実行します。そして、インストールが完了するまでしばらく待ちます。
    • Linux: “./installerR9.sh”または、”./installerR7.sh”のコマンドを実行します。
    • Mac OS: 適切なpkgファイル(installerR9.pkg、installerR8.pkgまたはinstallerR7.pkg)を実行して、パッケージをインストールします。

 

■ 注意

修正プログラムのインストール時に、以下のエラーメッセージが表示されることがあります。

 

File Access Denied: Unable to update file_name

このエラーは、ライセンス修正プログラムをインストールしている間、Autodesk製品を動作させているとき、または更新しているファイルが使用中であるときに発生します。ライセンス修正プログラムのインストールには、すべてのAutodesk製品を終了させておくことが必要です。Autodesk製品を終了させてから1分間程は、ライセンスコンポーネントが残っておりますので、ライセンス修正プログラムを再度実行する際は、少し時間を空けてから実行するのが最善です。

 

No files found to licensing hotfix. Folder dst_dir was not found.

このエラーは、適用するライセンス修正プログラムが間違っている場合や、Autodesk製品がインストールされていないマシンにライセンス修正プログラムを実行しようとする場合において発生します。適切なライセンス修正プログラムやAutodesk製品がインストールされているかをご確認下さい。

 

Unsupported platform. 64 bit installer is not supported on 32 bit OS. Please download 32 bit installer

適切なOSバージョンのライセンス修正プログラムを使用するようにして下さい。

 

 

 

なお、以下ページにて、こちらの記事の原文が確認出来ます。

http://knowledge.autodesk.com/support/maya/downloads/caas/downloads/content/autodesk-licensing-hotfix-poodle-ssl-v3-vulnerability-cve-2014-3566.html?v=2015

 

0 コメント

ログインしてコメントを残してください。